Skip to main content
GET
/
api
/
v1
/
app_data
/
{app_data_hash}
Get the full `appData` from contract `appDataHash`.
curl --request GET \
  --url https://api.cow.fi/mainnet/api/v1/app_data/{app_data_hash}
{
  "fullAppData": "{\"version\":\"0.9.0\",\"metadata\":{}}"
}

Path Parameters

app_data_hash
string
required

32 bytes encoded as hex with 0x prefix. It's expected to be the hash of the stringified JSON object representing the appData.

Example:

"0x0000000000000000000000000000000000000000000000000000000000000000"

Response

Full appData.

An appData document that is registered with the API.

fullAppData
string

The string encoding of a JSON object representing some appData. The format of the JSON expected in the appData field is defined here.

Example:

"{\"version\":\"0.9.0\",\"metadata\":{}}"

Last modified on March 17, 2026